<?php

$netdev = false;

define('SCRIPT_PATH', '/usr/local/ispconfig/server');
require SCRIPT_PATH."/lib/config.inc.php";
require SCRIPT_PATH."/lib/app.inc.php";

set_time_limit(0);
ini_set('error_reporting', E_ALL & ~E_NOTICE);

// make sure server_id is always an int
$conf['server_id'] = intval($conf['server_id']);


// Load required base-classes
$app->uses('ini_parser,file,services,getconf,system');

// Do backup
exec('cp -pf /etc/fstab /etc/fstab~');

$webs = $app->db->queryAllRecords("SELECT domain, document_root, domain_id, type FROM web_domain WHERE type = 'vhost' or type = 'vhostsubdomain'");
foreach($webs as $web) {

	$log_folder = 'log';
	if($web['type'] == 'vhostsubdomain') {
		$tmp = $app->db->queryOneRecord('SELECT `domain` FROM web_domain WHERE domain_id = '.intval($web['parent_domain_id']));
		$subdomain_host = preg_replace('/^(.*)\.' . preg_quote($tmp['domain'], '/') . '$/', '$1', $web['domain']);
		if($subdomain_host == '') $subdomain_host = 'web'.$web['domain_id'];
		$log_folder .= '/' . $subdomain_host;
		unset($tmp);
	}
	
	$fstab_line_old = '/var/log/ispconfig/httpd/'.$web['domain'].' '.$web['document_root'].'/'.$log_folder.'    none    bind';
			
	if($netdev == true) {
		$fstab_line = '/var/log/ispconfig/httpd/'.$web['domain'].' '.$web['document_root'].'/'.$log_folder.'    none    bind,nobootwait,_netdev    0 0';
		$app->system->replaceLine('/etc/fstab', $fstab_line_old, $fstab_line, 0, 1);
	} else {
		$fstab_line = '/var/log/ispconfig/httpd/'.$web['domain'].' '.$web['document_root'].'/'.$log_folder.'    none    bind,nobootwait    0 0';
		$app->system->replaceLine('/etc/fstab', $fstab_line_old, $fstab_line, 0, 1);
	}
}

echo "Eun 'mount -a' to apply the changes.\n";


?>